Graphics corruption just before login animation to Xorg sessions (Intel gen9 GPUs only)

Bug #1753776 reported by corrado venturini on 2018-03-06
78
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Mesa
Unknown
Medium
gdm3 (Ubuntu)
Medium
Unassigned
Bionic
Medium
Unassigned
mesa (Ubuntu)
High
Daniel van Vugt
Bionic
High
Daniel van Vugt
wayland (Ubuntu)
Medium
Unassigned
Bionic
Medium
Unassigned

Bug Description

Immediately after login (I enter the password and hit enter) the screen "crumbles" for few seconds, then all becomes normal and the system works fine. I have done apt update+upgrade many times, also with proposed enabled, I have also installed a new ISO (now i'm using the Alpha dated 20180305) but the problem remains. The problem happens with the x11 session but not with wayland.
Also problem does not show with different hardware.

corrado@corrado-p7-bb-0305:~$ inxi -Fx
System: Host: corrado-p7-bb-0305 Kernel: 4.15.0-10-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3) Distro: Ubuntu Bionic Beaver (development branch)
Machine: Device: desktop Mobo: ASRock model: H110M-G/M.2 serial: N/A UEFI: American Megatrends v: P1.10 date: 05/11/2017
CPU: Dual core Intel Core i3-7100 (-MT-MCP-) arch: Skylake rev.9 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 15648
           clock speeds: max: 3900 MHz 1: 1018 MHz 2: 3150 MHz 3: 3153 MHz 4: 3081 MHz
Graphics: Card: Intel HD Graphics 630 bus-ID: 00:02.0
           Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake GT2)
           version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
Audio: Card Intel Sunrise Point-H HD Audio driver: snd_hda_intel bus-ID: 00:1f.3
           Sound: Advanced Linux Sound Architecture v: k4.15.0-10-generic
Network: Card: Intel Ethernet Connection (2) I219-V driver: e1000e v: 3.2.6-k bus-ID: 00:1f.6
           IF: enp0s31f6 state: up speed: 100 Mbps duplex: full mac: 70:85:c2:44:7b:86
Drives: HDD Total Size: 1000.2GB (1.3% used)
           ID-1: /dev/sda model: TOSHIBA_DT01ACA1 size: 1000.2GB
Partition: ID-1: / size: 32G used: 4.3G (15%) fs: ext4 dev: /dev/sda7
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 38.5C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 234 Uptime: 11 min Memory: 1144.7/7680.8MB Init: systemd runlevel: 5 Gcc sys: N/A
           Client: Shell (bash 4.4.181) inxi: 2.3.56
corrado@corrado-p7-bb-0305:~$

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu5
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
Uname: Linux 4.15.0-10-generic x86_64
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Tue Mar 6 15:47:50 2018
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation HD Graphics 630 [8086:5912] (rev 04) (prog-if 00 [VGA controller])
   Subsystem: ASRock Incorporation HD Graphics 630 [1849:5912]
InstallationDate: Installed on 2018-03-05 (0 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180305)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
 Bus 001 Device 002: ID 058f:6377 Alcor Micro Corp. AU6375 4-LUN card reader
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed root=UUID=9a36b498-59f5-4a36-81db-3046ff6bdeaa ro quiet splash
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/11/2017
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.10
dmi.board.name: H110M-G/M.2
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd05/11/2017:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH110M-G/M.2:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.90-1
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc4-1ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc4-1ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.10.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

CVE References

adding a picture of the screen after login

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in mutter (Ubuntu):
status: New → Confirmed
Changed in xorg (Ubuntu):
status: New → Confirmed

I also have Intel graphics and can reproduce this bug with Ubuntu (on X) but not with Ubuntu on Wayland.

summary: - After login the screen "crumbles" for few seconds
+ After login the screen pixelates for few seconds on GNOME on X
dino99 (9d9) wrote :

Do you also get plymouth errors logged ?

problem does NOT occur with Gnome 3.27.92 and a different Intel graphics:
mao@mao-p6-bb:~$ inxi -Fx
System: Host: mao-p6-bb Kernel: 4.15.0-10-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3)
           Distro: Ubuntu Bionic Beaver (development branch)
Machine: Device: desktop Mobo: Gigabyte model: H87M-D3H v: x.x serial: N/A
           UEFI: American Megatrends v: F3 date: 04/24/2013
CPU: Dual core Intel Core i3-4130 (-MT-MCP-) arch: Haswell rev.3 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 13569
           clock speeds: max: 3400 MHz 1: 915 MHz 2: 1260 MHz 3: 1224 MHz 4: 1259 MHz
Graphics: Card: Intel 4th Generation Core Integrated Graphics Controller bus-ID: 00:02.0
           Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution: 1680x1050@59.88hz
           OpenGL: renderer: Mesa DRI Intel Haswell
           version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
Audio: Card-1 Intel 8 Series/C220 Series High Def. Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0
           Sound: Advanced Linux Sound Architecture v: k4.15.0-10-generic
Network: Card: Realtek RTL8111/8168/8411 PCIE Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0
           IF: enp2s0 state: up speed: 100 Mbps duplex: full mac: 94:de:80:7e:90:a7
Drives: HDD Total Size: 1000.2GB (1.2% used)
           ID-1: /dev/sda model: ST1000DM003 size: 1000.2GB
Partition: ID-1: / size: 32G used: 4.0G (14%) fs: ext4 dev: /dev/sda6
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 29.8C mobo: 27.8C
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 237 Uptime: 7 min Memory: 1431.8/7856.5MB
           Init: systemd runlevel: 5 Gcc sys: N/A Client: Shell (bash 4.4.181) inxi: 2.3.56
mao@mao-p6-bb:~$

Daniel van Vugt (vanvugt) wrote :

Yeah I had this yesterday with 3.27.91, but today the bug is gone (bionic updated to gnome-shell/mutter 3.27.92).

summary: - After login the screen pixelates for few seconds on GNOME on X
+ Graphics corruption in login animation to Xorg sessions
Changed in gnome-shell (Ubuntu):
status: Confirmed → Fix Released
Changed in mutter (Ubuntu):
status: Confirmed → Fix Released
Changed in xorg (Ubuntu):
status: Confirmed → Invalid

I know problem is gone with different hardware:

utente@francesco-zippo:~$ inxi -SCGx
System: Host: francesco-zippo Kernel: 4.15.0-11-generic x86_64
           bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3)
           Distro: Ubuntu Bionic Beaver (development branch)
CPU: Dual core Intel Core i5-6200U (-MT-MCP-)
           arch: Skylake rev.3 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9600
           clock speeds: max: 2800 MHz 1: 2758 MHz 2: 2700 MHz 3: 2785 MHz
           4: 2699 MHz
Graphics: Card: Intel HD Graphics 520 bus-ID: 00:02.0
           Display Server: x11 (X.Org 1.19.6 )
           drivers: modesetting (unloaded: fbdev,vesa)
           Resolution: 1366x768@59.97hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2)
           version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
utente@francesco-zippo:~$

but with MY hardware I still have the problem:

corrado@corrado-p7-bb-0305:~$ inxi -SCGx
System: Host: corrado-p7-bb-0305 Kernel: 4.15.0-10-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3) Distro: Ubuntu Bionic Beaver (development branch)
CPU: Dual core Intel Core i3-7100 (-MT-MCP-) arch: Skylake rev.9 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 15648
           clock speeds: max: 3900 MHz 1: 2559 MHz 2: 1592 MHz 3: 2100 MHz 4: 2110 MHz
Graphics: Card: Intel HD Graphics 630 bus-ID: 00:02.0
           Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake GT2)
           version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
corrado@corrado-p7-bb-0305:~$

Changed in gnome-shell (Ubuntu):
status: Fix Released → Confirmed
Changed in mutter (Ubuntu):
status: Fix Released → Confirmed
affects: xorg (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
status: Invalid → Confirmed

I don't have intel-microcode installed, should I install it?
May I add some log to help?
thanks

corrado@corrado-p7-bb-0305:~$ apt policy intel-microcode
intel-microcode:
  Installed: (none)
  Candidate: 3.20180108.1+really20171117.1
  Version table:
     3.20180108.1+really20171117.1 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
corrado@corrado-p7-bb-0305:~$

Daniel van Vugt (vanvugt) wrote :

That's probably irrelevant.

intel-microcode is a firmware update for your CPU (sometimes you will see kernel log messages telling you it's needed). But this bug occurred without any change in the 'intel-microcode' package so I think it's irrelevant here.

Andrea Azzarone (azzar1) wrote :

I still get this when starting a X session.

$ apt-cache policy gnome-shell
gnome-shell:
  Installed: 3.27.92-0ubuntu1
  Candidate: 3.27.92-0ubuntu1
  Version table:
 *** 3.27.92-0ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

Jeremy Bicha (jbicha) on 2018-03-08
tags: added: rls-bb-incoming
Timo Aaltonen (tjaalton) wrote :

those who can reproduce this, please run 'lspci -nn | grep VGA' and paste the result

affects: xorg-server (Ubuntu) → mesa (Ubuntu)
Changed in mesa (Ubuntu):
status: Confirmed → Incomplete
Sebastien Bacher (seb128) wrote :

Daniel, do you have any idea when that started and if it's due to mesa or GNOME 3.27?

Changed in gnome-shell (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
dino99 (9d9) wrote :

Still affected on:

oem@ubuntu:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 530 [8086:1912] (rev 06)

Timo Aaltonen (tjaalton) wrote :

I can't repro on Intel KBL (620)

dino99 (9d9) wrote :

More details on dupe lp:1753752

Daniel van Vugt (vanvugt) wrote :

I *think* this problem started immediately when bionic moved to Gnome 3.27, not when we moved to Mesa 18.0 (which was a couple of days earlier?).

summary: - Graphics corruption in login animation to Xorg sessions
+ Graphics corruption/distortion in login animation to Xorg sessions
summary: - Graphics corruption/distortion in login animation to Xorg sessions
+ Graphics corruption (or distortion?) in login animation to Xorg sessions

The pattern of corruption looks like a pixel format mixup or colour channel overflow. So I would bet it's related to the 10-bit/8-bit colour changes in Mesa and Mutter...

I can't reproduce it on my desktop (Haswell, 10-bit monitor).
I can reproduce it on two laptops (Kaby Lake, 8-bit panels).

Is the problem Ubuntu-specific? I've been wondering if our mesa patch(es) in this area are still necessary (since mutter fixed their side, didn't they?).

Changed in xorg-server (Ubuntu):
status: New → Confirmed
tags: added: visual-quality
Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
Changed in mesa (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Confirmed
Changed in mutter (Ubuntu):
importance: Undecided → Medium
Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
Daniel van Vugt (vanvugt) wrote :

Checking my logs, 6 March was the end of a long weekend when this bug occurred for me. So a large number of updates happened at once, including:

  mesa 17.3.3-0ubuntu1 -> 18.0.0~rc4-1ubuntu3
  mutter 3.26.2-1build1 -> 3.27.91-1
  gnome-shell 3.26.2-0ubuntu3 -> 3.27.91-0ubuntu1
  wayland 1.14.0-1 -> 1.14.0-2

gdm3 and xorg-server remained unchanged when the regression occurred, so at least we can exclude those.

Changed in xorg-server (Ubuntu):
status: Confirmed → Invalid
Daniel van Vugt (vanvugt) wrote :

Actually, the bug occurs with Unity 7 sessions too. That excludes mutter and gnome-shell. But I might have been too quick to eliminate xorg-server.

Changed in xorg-server (Ubuntu):
status: Invalid → Confirmed
Changed in gnome-shell (Ubuntu):
status: Confirmed → Invalid
Changed in mutter (Ubuntu):
status: Confirmed → Invalid

Xorg sessions are suddenly showing corruption upon login, briefly before the shell starts up.

This seems to be related to the use of "-background none" by the DM. If I remove "-background none" from the DM code then the corruption is replaced by a less bad second or two of blackness.

This problem seems to have started when Mesa 18.0.0 was introduced to Ubuntu 18.04. I can't seem to correlate it with anything else, and can't relate it to a specific Xorg update.

Please attach the corresponding Xorg log file.

Daniel van Vugt (vanvugt) wrote :

OK, this seems to be a Xorg bug in the "-background none" feature. Upstream bug reported here:
https://bugs.freedesktop.org/show_bug.cgi?id=105518

Less likely but still possible is that mutter (used on the login screen) is corrupting the framebuffer and "Xorg -background none" is then innocently copying the corruption.

A workaround (which at least will avoid more bug reports from users) is to remove these two lines from gdm3:

        g_ptr_array_add (arguments, "-background");
        g_ptr_array_add (arguments, "none");

That will reliably replace the corruption with blackness.

Have a nice day.

There's a log in the downstream bug:
https://launchpad.net/bugs/1753776

dino99 (9d9) wrote :

If that matters, this is loged :

gnome-shell[1076]: clutter_input_focus_set_content_purpose: assertion 'clutter_input_focus_is_focused (focus)' failed

Changed in xorg-server:
importance: Unknown → Medium
status: Unknown → Confirmed

FWIW, you're more likely to get action on this if you reassign to the Mesa i965 driver.

I'm not sure if the problem is confined to the Mesa i965 driver. It is possible.

I have verified that the corruption occurs with both Xorg drivers though: modesetting and intel.

Nafallo Bjälevik (nafallo) wrote :

nafallo@wendigo:~$ lspci -nn|grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation UHD Graphics 620 [8086:5917] (rev 07)

This is on a Dell XPS 13 9370 (Development Edition), in case someone want to look at what the display can handle etc.

seems to be limited to gen9 (and up?), can't reproduce on BDW but can on SKL/KBL/CFL

Timo Aaltonen (tjaalton) wrote :

this seems to be limited to Intel gen9 hw, not earlier

no longer affects: xorg-server (Ubuntu)
Changed in mesa (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
Download full text (6.0 KiB)

No, I have an Intel 7th gen and I am affected by this.

Timo Aaltonen <email address hidden> schrieb am Do., 15. März 2018, 14:21:

> this seems to be limited to Intel gen9 hw, not earlier
>
> ** No longer affects: xorg-server (Ubuntu)
>
> ** Changed in: mesa (Ubuntu)
> Assignee: (unassigned) => Timo Aaltonen (tjaalton)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1755582).
> https://bugs.launchpad.net/bugs/1753776
>
> Title:
> Graphics corruption (or distortion?) in login animation to Xorg
> sessions
>
> Status in X.Org X server:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Invalid
> Status in mesa package in Ubuntu:
> Confirmed
> Status in mutter package in Ubuntu:
> Invalid
>
> Bug description:
> Immediately after login (I enter the password and hit enter) the screen
> "crumbles" for few seconds, then all becomes normal and the system works
> fine. I have done apt update+upgrade many times, also with proposed
> enabled, I have also installed a new ISO (now i'm using the Alpha dated
> 20180305) but the problem remains. The problem happens with the x11 session
> but not with wayland.
> Also problem does not show with different hardware.
>
> corrado@corrado-p7-bb-0305:~$ inxi -Fx
> System: Host: corrado-p7-bb-0305 Kernel: 4.15.0-10-generic x86_64
> bits: 64 gcc: 7.3.0
> Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3) Distro: Ubuntu
> Bionic Beaver (development branch)
> Machine: Device: desktop Mobo: ASRock model: H110M-G/M.2 serial: N/A
> UEFI: American Megatrends v: P1.10 date: 05/11/2017
> CPU: Dual core Intel Core i3-7100 (-MT-MCP-) arch: Skylake rev.9
> cache: 3072 KB
> flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips:
> 15648
> clock speeds: max: 3900 MHz 1: 1018 MHz 2: 3150 MHz 3: 3153
> MHz 4: 3081 MHz
> Graphics: Card: Intel HD Graphics 630 bus-ID: 00:02.0
> Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution:
> 1920x1080@60.00hz
> OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake
> GT2)
> version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
> Audio: Card Intel Sunrise Point-H HD Audio driver: snd_hda_intel
> bus-ID: 00:1f.3
> Sound: Advanced Linux Sound Architecture v: k4.15.0-10-generic
> Network: Card: Intel Ethernet Connection (2) I219-V driver: e1000e v:
> 3.2.6-k bus-ID: 00:1f.6
> IF: enp0s31f6 state: up speed: 100 Mbps duplex: full mac:
> 70:85:c2:44:7b:86
> Drives: HDD Total Size: 1000.2GB (1.3% used)
> ID-1: /dev/sda model: TOSHIBA_DT01ACA1 size: 1000.2GB
> Partition: ID-1: / size: 32G used: 4.3G (15%) fs: ext4 dev: /dev/sda7
> ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev:
> /dev/sda2
> RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
> Sensors: System Temperatures: cpu: 38.5C mobo: N/A
> Fan Speeds (in rpm): cpu: N/A
> Info: Processes: 234 Uptime: 11 min Memory: 1144.7/7680.8MB Init:
> systemd runlevel: 5 Gcc sys: N/A
> Client: Shell (bash 4.4.181) inxi: 2.3.56
> corrado@corrado...

Read more...

Frederik, please tell what 'lspci -nn | grep VGA' shows, to verify that..

Download full text (6.0 KiB)

frederik@xps:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 620
[8086:5916] (rev 02)

Timo Aaltonen <email address hidden> schrieb am Do., 15. März 2018 um
15:05 Uhr:

> Frederik, please tell what 'lspci -nn | grep VGA' shows, to verify
> that..
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1755582).
> https://bugs.launchpad.net/bugs/1753776
>
> Title:
> Graphics corruption (or distortion?) in login animation to Xorg
> sessions
>
> Status in X.Org X server:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Invalid
> Status in mesa package in Ubuntu:
> Confirmed
> Status in mutter package in Ubuntu:
> Invalid
>
> Bug description:
> Immediately after login (I enter the password and hit enter) the screen
> "crumbles" for few seconds, then all becomes normal and the system works
> fine. I have done apt update+upgrade many times, also with proposed
> enabled, I have also installed a new ISO (now i'm using the Alpha dated
> 20180305) but the problem remains. The problem happens with the x11 session
> but not with wayland.
> Also problem does not show with different hardware.
>
> corrado@corrado-p7-bb-0305:~$ inxi -Fx
> System: Host: corrado-p7-bb-0305 Kernel: 4.15.0-10-generic x86_64
> bits: 64 gcc: 7.3.0
> Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3) Distro: Ubuntu
> Bionic Beaver (development branch)
> Machine: Device: desktop Mobo: ASRock model: H110M-G/M.2 serial: N/A
> UEFI: American Megatrends v: P1.10 date: 05/11/2017
> CPU: Dual core Intel Core i3-7100 (-MT-MCP-) arch: Skylake rev.9
> cache: 3072 KB
> flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips:
> 15648
> clock speeds: max: 3900 MHz 1: 1018 MHz 2: 3150 MHz 3: 3153
> MHz 4: 3081 MHz
> Graphics: Card: Intel HD Graphics 630 bus-ID: 00:02.0
> Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution:
> 1920x1080@60.00hz
> OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake
> GT2)
> version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
> Audio: Card Intel Sunrise Point-H HD Audio driver: snd_hda_intel
> bus-ID: 00:1f.3
> Sound: Advanced Linux Sound Architecture v: k4.15.0-10-generic
> Network: Card: Intel Ethernet Connection (2) I219-V driver: e1000e v:
> 3.2.6-k bus-ID: 00:1f.6
> IF: enp0s31f6 state: up speed: 100 Mbps duplex: full mac:
> 70:85:c2:44:7b:86
> Drives: HDD Total Size: 1000.2GB (1.3% used)
> ID-1: /dev/sda model: TOSHIBA_DT01ACA1 size: 1000.2GB
> Partition: ID-1: / size: 32G used: 4.3G (15%) fs: ext4 dev: /dev/sda7
> ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev:
> /dev/sda2
> RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
> Sensors: System Temperatures: cpu: 38.5C mobo: N/A
> Fan Speeds (in rpm): cpu: N/A
> Info: Processes: 234 Uptime: 11 min Memory: 1144.7/7680.8MB Init:
> systemd runlevel: 5 Gcc sys: N/A
> Client: Shell (bash 4.4.181) inxi: 2.3.56
> corrado@corrado-p7-bb-0305:~$
>
> ProblemTyp...

Read more...

corrado@corrado-p8-bb-0308:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 630 [8086:5912] (rev 04)
corrado@corrado-p8-bb-0308:~$

Timo Aaltonen (tjaalton) wrote :

Right, so you both have Kabylake which has gen9 graphics core.. it doesn't match with "Intel(R) Core(TM)" generation.

Download full text (5.9 KiB)

Oh god sorry. I thought you mean only the CPU gen.

Timo Aaltonen <email address hidden> schrieb am Do., 15. März 2018, 17:36:

> Right, so you both have Kabylake which has gen9 graphics core.. it
> doesn't match with "Intel(R) Core(TM)" generation.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1755582).
> https://bugs.launchpad.net/bugs/1753776
>
> Title:
> Graphics corruption (or distortion?) in login animation to Xorg
> sessions
>
> Status in X.Org X server:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Invalid
> Status in mesa package in Ubuntu:
> Confirmed
> Status in mutter package in Ubuntu:
> Invalid
>
> Bug description:
> Immediately after login (I enter the password and hit enter) the screen
> "crumbles" for few seconds, then all becomes normal and the system works
> fine. I have done apt update+upgrade many times, also with proposed
> enabled, I have also installed a new ISO (now i'm using the Alpha dated
> 20180305) but the problem remains. The problem happens with the x11 session
> but not with wayland.
> Also problem does not show with different hardware.
>
> corrado@corrado-p7-bb-0305:~$ inxi -Fx
> System: Host: corrado-p7-bb-0305 Kernel: 4.15.0-10-generic x86_64
> bits: 64 gcc: 7.3.0
> Desktop: Gnome 3.27.92 (Gtk 3.22.28-1ubuntu3) Distro: Ubuntu
> Bionic Beaver (development branch)
> Machine: Device: desktop Mobo: ASRock model: H110M-G/M.2 serial: N/A
> UEFI: American Megatrends v: P1.10 date: 05/11/2017
> CPU: Dual core Intel Core i3-7100 (-MT-MCP-) arch: Skylake rev.9
> cache: 3072 KB
> flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips:
> 15648
> clock speeds: max: 3900 MHz 1: 1018 MHz 2: 3150 MHz 3: 3153
> MHz 4: 3081 MHz
> Graphics: Card: Intel HD Graphics 630 bus-ID: 00:02.0
> Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution:
> 1920x1080@60.00hz
> OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake
> GT2)
> version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
> Audio: Card Intel Sunrise Point-H HD Audio driver: snd_hda_intel
> bus-ID: 00:1f.3
> Sound: Advanced Linux Sound Architecture v: k4.15.0-10-generic
> Network: Card: Intel Ethernet Connection (2) I219-V driver: e1000e v:
> 3.2.6-k bus-ID: 00:1f.6
> IF: enp0s31f6 state: up speed: 100 Mbps duplex: full mac:
> 70:85:c2:44:7b:86
> Drives: HDD Total Size: 1000.2GB (1.3% used)
> ID-1: /dev/sda model: TOSHIBA_DT01ACA1 size: 1000.2GB
> Partition: ID-1: / size: 32G used: 4.3G (15%) fs: ext4 dev: /dev/sda7
> ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev:
> /dev/sda2
> RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
> Sensors: System Temperatures: cpu: 38.5C mobo: N/A
> Fan Speeds (in rpm): cpu: N/A
> Info: Processes: 234 Uptime: 11 min Memory: 1144.7/7680.8MB Init:
> systemd runlevel: 5 Gcc sys: N/A
> Client: Shell (bash 4.4.181) inxi: 2.3.56
> corrado@corrado-p7-bb-0305:~$
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Pac...

Read more...

I agree with that assessment so far. KBL is affected, but HAS is not.

KBL is affected, but HSW is not.

OK, if the problem is only Intel and only gen9 then I am less concerned. But I will try to bisect this by next week. Certainly sounds like a Mesa 18 bug now.

summary: - Graphics corruption (or distortion?) in login animation to Xorg sessions
+ Graphics corruption just before login animation to Xorg sessions (Intel
+ gen9 GPUs only)
dino99 (9d9) wrote :

Doing some testing:

- first modifying options into /etc/gdm3/custom.conf
  **** set [daemon] WaylandEnable=false to force xorg login :
 my feeling is that should be the default now as ubuntu as made that choice for the release (and wayland / apps still does not well together in many cases)

- then rebboting

And now the problem existing with my hardware and reported here is gone: no distorted screen.
That system is using the 'proposed' archive and is fully updated.
What is also different now: the login options (gear button) have dropped the wayland ones.

So my conclusion are:
- /etc/gdm3/custom.conf should use xorg, not wayland
- the issue reported gere seems have been introduced by the wayland (1.14.0-2) changes (patch)

*****
wayland (1.14.0-2) unstable; urgency=medium

  * debian/patches/CVE-2017-16612.patch: (Closes: #889681)
    - libXcursor before 1.1.15 has various integer overflows that could lead
      to heap buffer overflows when processing malicious cursors, e.g., with
      programs like GIMP. It is also possible that an attack vector exists
      against the related code in cursor/xcursor.c in Wayland through
      1.14.0.
  * switch back to use upstream tarball
  * debian/control: bump standards version, drop priority stanzas

 -- Héctor Orón Martínez <email address hidden> Sun, 04 Mar 2018 11:56:31 +0100
*******

affects: mutter (Ubuntu) → gdm3 (Ubuntu)
Changed in gdm3 (Ubuntu):
status: Invalid → New
affects: gnome-shell (Ubuntu) → wayland (Ubuntu)
Changed in wayland (Ubuntu):
status: Invalid → New
assignee: Daniel van Vugt (vanvugt) → nobody

Fixed for me after upgrading a lot of packages last night. Thank you very much for the fix and your work.

NOT fixed for me
corrado@corrado-p9-bb-0316:~$ inxi -SCGx
System: Host: corrado-p9-bb-0316 Kernel: 4.15.0-12-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.28.0 (Gtk 3.22.28-1ubuntu3) Distro: Ubuntu Bionic Beaver (development branch)
CPU: Dual core Intel Core i3-7100 (-MT-MCP-) arch: Skylake rev.9 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 15648
           clock speeds: max: 3900 MHz 1: 800 MHz 2: 800 MHz 3: 800 MHz 4: 800 MHz
Graphics: Card: Intel HD Graphics 630 bus-ID: 00:02.0
           Display Server: x11 (X.Org 1.19.6 ) driver: i915 Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake GT2)
           version: 4.5 Mesa 18.0.0-rc4 Direct Render: Yes
corrado@corrado-p9-bb-0316:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 630 [8086:5912] (rev 04)
corrado@corrado-p9-bb-0316:~$

I can now also confirm in more detail that:

HSW is not affected
BDW is not affected
SKL is affected
KBL is affected

Bisected:

1efd73df39b39589d26f44d4927d2c65697bbe6e is the first bad commit
commit 1efd73df39b39589d26f44d4927d2c65697bbe6e
Author: Ben Widawsky <email address hidden>
Date: Tue May 30 17:24:06 2017 +0530

    i965: Advertise the CCS modifier

    v2: Rename modifier to be more smart (Jason)

    FINISHME: Use the kernel's final choice for the fb modifier

    bwidawsk@norris2:~/intel-gfx/kmscube (modifiers $) ~/scripts/measure_bandwidth.sh ./kmscube none
    Read bandwidth: 603.91 MiB/s
    Write bandwidth: 615.28 MiB/s
    bwidawsk@norris2:~/intel-gfx/kmscube (modifiers $) ~/scripts/measure_bandwidth.sh ./kmscube ytile
    Read bandwidth: 571.13 MiB/s
    Write bandwidth: 555.51 MiB/s
    bwidawsk@norris2:~/intel-gfx/kmscube (modifiers $) ~/scripts/measure_bandwidth.sh ./kmscube ccs
    Read bandwidth: 259.34 MiB/s
    Write bandwidth: 337.83 MiB/s

    v2: Move all references to the new fourcc code(s) to this patch.
    v3: Rebase, remove Yf_CCS (Daniel)

    Signed-off-by: Ben Widawsky <email address hidden>
    Signed-off-by: Jason Ekstrand <email address hidden>
    Acked-by: Daniel Stone <email address hidden>
    Reviewed-by: Chad Versace <email address hidden>

:040000 040000 1770769b46d6a9425e80b380e8338059841921e2 f790e3c0d1c5246c4d1385f14eac032b90acf68c M src

affects: xorg-server → mesa
Daniel van Vugt (vanvugt) wrote :

Bisected upstream.

Changed in gdm3 (Ubuntu):
status: New → Invalid
Changed in wayland (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu):
status: Confirmed → Triaged

I am able to reproduce this issue on Skylake GT2 (0x1916) with Ubuntu 18.04 beta default mesa. Downgrading mesa to mesa-17.3.6 doesn't help.
Reverting the bisected commit (1efd73df39b3) solved the issue. As well as using mesa-17.2.8 where that commit was not applied.

This isn't a mesa bug. The problem is that, if '-background none' is set, X use whatever random garbage happens to be in the framebuffer when it starts up. I think what is likely going on is that it's suddenly treating that data as compressed and so it gets corrupted. In any case, I think this is highly unlikely to be an actual mesa bug.

The issue returned for me, strangely. It was gone for seferal reboots and then returned. I can't edit my prev. comment.

Jeremy Bicha (jbicha) wrote :

> /etc/gdm3/custom.conf
> **** set [daemon] WaylandEnable=false to force xorg login :
> my feeling is that should be the default now as ubuntu as made that choice for the release (and
> wayland / apps still does not well together in many cases)

That will make it impossible for people to log into the Ubuntu on Wayland session which will be provided as a Tech Preview in Ubuntu 18.04 LTS. So no, we're not going to change that setting.

That's really odd. -background none will just do GBM_BO_IMPORT_FD (which passes DRM_FORMAT_MOD_INVALID) from the current DRM FB to get a gbm_bo, then import that BO into an EGLImage, which it copies from.

I wonder if the original image we try to import is Y_CCS, but we import it as plain Y (no CCS) because drmModeGetFb doesn't tell us the modifier.

Daniel, do either of the following fix this for your users?

a) inlined kernel patch to refuse getfb for modifiers we can't determine via implicit means, or multi-planar
b) in whatever your DM (GDM? LightDM?) uses to create a KMS display, filtering the supported modifier set to DRM_FORMAT_MOD_LINEAR / I915_FORMAT_MOD_X_TILED / I915_FORMAT_MOD_Y_TILED

I think the kernel patch is the most correct, but then we might have to create a getfb2 to support -background none. :(

diff --git a/drivers/gpu/drm/i915/intel_display.c b/drivers/gpu/drm/i915/intel_display.c
index 92d94d2684f4..ef157585fc32 100644
--- a/drivers/gpu/drm/i915/intel_display.c
+++ b/drivers/gpu/drm/i915/intel_display.c
@@ -13934,6 +13934,16 @@ static int intel_user_framebuffer_create_handle(struct drm_framebuffer *fb,
   return -EINVAL;
  }

+ switch (fb->modifier) {
+ case DRM_FORMAT_MOD_LINEAR:
+ case I915_FORMAT_MOD_X_TILED:
+ case I915_FORMAT_MOD_Y_TILED:
+ break;
+ default:
+ DRM_DEBUG_KMS("rejecting getfb for exotic modifier\n");
+ return -EINVAL;
+ }
+
  return drm_gem_handle_create(file, &obj->base, handle);
 }

(In reply to Daniel Stone from comment #13)

> a) inlined kernel patch to refuse getfb for modifiers we can't determine via
> implicit means, or multi-planar

Your provided kernel patch replaces the corruption with blackness, which was probably expected. So the seamless transition from gdm3 into gnome-shell (or whatever) is gone. We can achieve the same blackness workaround by removing '-background none' from the gdm3 source, but that hurts all users including Broadwell and earlier who are not yet affected by the bug.

> b) in whatever your DM (GDM? LightDM?) uses to create a KMS display,
> filtering the supported modifier set to DRM_FORMAT_MOD_LINEAR /
> I915_FORMAT_MOD_X_TILED / I915_FORMAT_MOD_Y_TILED

It's gdm3 so the code you want is mutter, right? I think we'd lean more toward patching the offending commit out of Mesa before we go proposing more mutter patches. I'm hesitant to do either right now. New ideas are welcome.

(In reply to Daniel van Vugt from comment #14)
> (In reply to Daniel Stone from comment #13)
>
> > a) inlined kernel patch to refuse getfb for modifiers we can't determine via
> > implicit means, or multi-planar
>
> Your provided kernel patch replaces the corruption with blackness, which was
> probably expected. So the seamless transition from gdm3 into gnome-shell (or
> whatever) is gone. We can achieve the same blackness workaround by removing
> '-background none' from the gdm3 source, but that hurts all users including
> Broadwell and earlier who are not yet affected by the bug.

Correct.

> > b) in whatever your DM (GDM? LightDM?) uses to create a KMS display,
> > filtering the supported modifier set to DRM_FORMAT_MOD_LINEAR /
> > I915_FORMAT_MOD_X_TILED / I915_FORMAT_MOD_Y_TILED
>
> It's gdm3 so the code you want is mutter, right? I think we'd lean more
> toward patching the offending commit out of Mesa before we go proposing more
> mutter patches. I'm hesitant to do either right now. New ideas are welcome.

That's not a long-term fix I'm suggesting, but to very specifically narrow down the problem, i.e. prove the thesis that the issue is caused by attempting to infer the tiling layout of a framebuffer with auxiliary compression planes. The whitelist I suggested would make sure Mutter only picks single-plane formats: if that results in the corruption disappearing, then we know the problem is exactly that and nothing else.

There are exactly three options to fix this:
  a) stop using -background none (I didn't notice this since my DM launches a Wayland session, and Xorg is something I only start from a VT without bg none); or
  b) revert the Mesa commit and take a hit from not having renderbuffer compression enabled; or
  c) add a GetFB2 ioctl to the kernel + libdrm which includes multi-planar and modifier information, use that in Xorg as well as a modifier-aware gbm_bo import interface.

The latter is obviously the most complete, but it's not zero work.

(In reply to Daniel Stone from comment #15)

> There are exactly three options to fix this:
> a) stop using -background none (I didn't notice this since my DM launches
> a Wayland session, and Xorg is something I only start from a VT without bg
> none); or

I think (a) is worse than doing nothing. At least if we do nothing then a subset of users still have a nice seamless login.

> b) revert the Mesa commit and take a hit from not having renderbuffer
> compression enabled; or

We might do this in the short term for Ubuntu at least. Not having compression enabled is better than us having to deal with recurring bug reports from users about their corrupt screens.

> c) add a GetFB2 ioctl to the kernel + libdrm which includes multi-planar
> and modifier information, use that in Xorg as well as a modifier-aware
> gbm_bo import interface.

Sounds like a good long term solution.

Medium-term there's probably also another option:

  d) Add a small feature to mutter to allow the caller (gdm3) to specify that only simple (linear?) formats are allowed, so as to enable easy transitions for all display server types. gdm3 probably cares less about the benefits of compression than gnome-shell-proper does.

(In reply to Daniel van Vugt from comment #16)
> d) Add a small feature to mutter to allow the caller (gdm3) to specify
> that only simple (linear?) formats are allowed, so as to enable easy
> transitions for all display server types. gdm3 probably cares less about the
> benefits of compression than gnome-shell-proper does.

It should be enough to exclude any modifier for which gbm_device_get_format_modifier_plane_count() returns > 1. I don't have any plans to do this in Mutter, I can look at the long-term getfb2 solution.

Iain Lane (laney) on 2018-03-20
tags: removed: rls-bb-incoming
Changed in mesa (Ubuntu Bionic):
assignee: Timo Aaltonen (tjaalton) → Daniel van Vugt (vanvugt)
status: Triaged → In Progress
Daniel van Vugt (vanvugt) wrote :

Here's a fix.

The first part of the fix to reject multi-plane buffers for getfb is in drm-misc-fixes:
https://cgit.freedesktop.org/drm/drm-misc/commit/?h=drm-misc-fixes&id=b24791fe00f8b089d5b10cb7bcc4e1ae88b4831b

I'm working on a getfb2 ioctl, but that won't land for a little while.

Thanks.

I slightly fear that the RESOLVED FIXED status might mislead people though. How many of the fixes will we need before the symptom is gone? Does the drm fix restore seamless logins or will that only be after the kernel fix? Or another?

Changed in mesa (Ubuntu Bionic):
importance: Medium → High

(In reply to Daniel van Vugt from comment #19)
> I slightly fear that the RESOLVED FIXED status might mislead people though.
> How many of the fixes will we need before the symptom is gone? Does the drm
> fix restore seamless logins or will that only be after the kernel fix? Or
> another?

That will only come after we add a GetFB2 ioctl to the kernel, a wrapper to libdrm, and then make Xorg use it. I've typed most of that up now.

dino99 (9d9) wrote :

Problem solved on my hardware with:

mesa (18.0.0~rc5-1ubuntu1) bionic
....
 [ Daniel van Vugt ]
  * Add disable-intel-ccs-compression.patch to avoid screen corruption
    when logging into Xorg sessions (LP: #1753776)
....

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 18.0.0~rc5-1ubuntu1

---------------
mesa (18.0.0~rc5-1ubuntu1) bionic; urgency=medium

  [ Timo Aaltonen ]
  * Merge from Debian experimental.
  * Drop Mir EGL patches, they're not needed anymore.
  * Revert dropping libwayland-egl-mesa for now, until the wayland FFE
    is acked.
  * dri3-reinstate-get_dri_screen-callback.diff: Dropped, upstream.

  [ Daniel van Vugt ]
  * Add disable-intel-ccs-compression.patch to avoid screen corruption
    when logging into Xorg sessions (LP: #1753776)

mesa (18.0.0~rc5-1) experimental; urgency=medium

  [ Andreas Boll ]
  * New upstream release candidate.

  [ Fabio Pedretti ]
  * rules: Rename --disable-gallium-llvm to --disable-llvm

  [ Timo Aaltonen ]
  * control, rules: Switch to llvm 6.0, bump libclc to match.
  * Drop libwayland-egl-mesa, which is now provided by src:wayland.

 -- Timo Aaltonen <email address hidden> Thu, 22 Mar 2018 09:29:44 +0200

Changed in mesa (Ubuntu Bionic):
status: In Progress → Fix Released

Problem solved with new mesa drivers. thanks.
corrado@corrado-p13-bb-0319:~$ apt policy mesa*driver*
mesa-vdpau-drivers:
  Installed: 18.0.0~rc5-1ubuntu1
  Candidate: 18.0.0~rc5-1ubuntu1
  Version table:
 *** 18.0.0~rc5-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status
mesa-vulkan-drivers:
  Installed: (none)
  Candidate: 18.0.0~rc5-1ubuntu1
  Version table:
     18.0.0~rc5-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
mesa-va-drivers:
  Installed: 18.0.0~rc5-1ubuntu1
  Candidate: 18.0.0~rc5-1ubuntu1
  Version table:
 *** 18.0.0~rc5-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-p13-bb-0319:~$

dino99 (9d9) on 2018-03-22
Changed in mesa:
importance: Medium → Undecided
status: Confirmed → New
status: New → Fix Released
Daniel van Vugt (vanvugt) wrote :

dino99, please don't change upstream task statuses.

You deleted the link to the upstream bug.

no longer affects: mesa
Daniel van Vugt (vanvugt) wrote :

Also note the upstream bug is NOT FIXED despite having a status of "RESOLVED FIXED". The reason is mentioned in that bug: https://bugs.freedesktop.org/show_bug.cgi?id=105518

Changed in mesa:
importance: Unknown → Medium
status: Unknown → Fix Released

getfb2 is not upstream yet, so reopening

Changed in mesa:
status: Fix Released → Confirmed

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/xserver/issues/33.

Changed in mesa:
status: Confirmed → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.